; Title - Demo 256k - Bank46

INCLUDE "HVGLIB.H"			; Home Video Game Library Header

	ORG	$3000				; starting addy of additional banks
	LD	L,A
	LD	H,0
	LD	BC,$4000
	ADD	HL,BC				; screen dest addy offet (0-39)
	PUSH	HL

	DI					; Disable interrupts
	SYSTEM (INTPC)		; Start System Interpreter 
	DO	(COLSET)		; Set Color Registers for Warlords
	DW	GreyColors		; Color Table
	DO	(SETOUT)	   	; Set Display Ports
	DB	(90*2) ; Vertical Blanking Line
	DB	44			   	; Left/Right Color Boundary 
	DB	$08			   	; Interrupt Mode 
	EXIT				; Exit System Interpreter
	EI					; Enable interrupts

	; copy riffraff graphic to screen area
	LD	HL,rr2s0
	POP	DE				; DE = destination on screen (with offset factored in)
	LD	BC,40*90
	LDIR

	RET

GreyColors:
	DB     $06        ; Color 3 Left
	DB     $04        ; Color 2 Left
	DB     $02        ; Color 1 Left 
	DB     $00        ; Color 0 Left
	DB     $07        ; Color 3 Right
	DB     $05        ; Color 2 Right 
	DB     $03        ; Color 1 Right
	DB     $01        ; Color 0 Right

INCLUDE "rrframe0.h"			; riff raff picture frame 0

	ORG $3FFF
	DB 0
